com.amazonaws.services.cloudfront.model

## Class ListDistributionsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.ListDistributionsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListDistributionsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to list your distributions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListDistributionsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListDistributionsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getMarker()` Use this when paginating results to indicate where to begin in your list of distributions.
`String` `getMaxItems()` The maximum number of distributions you want in the response body.
`int` `hashCode()`
`void` `setMarker(String marker)` Use this when paginating results to indicate where to begin in your list of distributions.
`void` `setMaxItems(String maxItems)` The maximum number of distributions you want in the response body.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListDistributionsRequest` `withMarker(String marker)` Use this when paginating results to indicate where to begin in your list of distributions.
`ListDistributionsRequest` `withMaxItems(String maxItems)` The maximum number of distributions you want in the response body.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListDistributionsRequest

    public ListDistributionsRequest()

### Method Detail

#### setMarker

    public void setMarker(String marker)

Use this when paginating results to indicate where to begin in your list of distributions. The results include distributions in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last distribution on that page).

Parameters:
  `marker` - Use this when paginating results to indicate where to begin in your list of distributions. The results include distributions in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last distribution on that page).

#### getMarker

    public String getMarker()

Use this when paginating results to indicate where to begin in your list of distributions. The results include distributions in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last distribution on that page).

Returns:
  Use this when paginating results to indicate where to begin in your list of distributions. The results include distributions in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last distribution on that page).

#### withMarker

    public ListDistributionsRequest withMarker(String marker)

Use this when paginating results to indicate where to begin in your list of distributions. The results include distributions in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last distribution on that page).

Parameters:
  `marker` - Use this when paginating results to indicate where to begin in your list of distributions. The results include distributions in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last distribution on that page).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxItems

    public void setMaxItems(String maxItems)

The maximum number of distributions you want in the response body.

Parameters:
  `maxItems` - The maximum number of distributions you want in the response body.

#### getMaxItems

    public String getMaxItems()

The maximum number of distributions you want in the response body.

Returns:
  The maximum number of distributions you want in the response body.

#### withMaxItems

    public ListDistributionsRequest withMaxItems(String maxItems)

The maximum number of distributions you want in the response body.

Parameters:
  `maxItems` - The maximum number of distributions you want in the response body.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListDistributionsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`